Main Page Class List Class Members

# Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Reader Class Reference

`#include <NvBlastExtPxSerialization.capn.h>`

List of all members.

## Public Types
typedef PxMeshScale | Reads
## Public Member Functions
inline::Nv::Blast::Serialization::PxQuat::Reader | getRotation () const
inline::Nv::Blast::Serialization::PxVec3::Reader | getScale () const
bool | hasRotation () const
bool | hasScale () const
| Reader (::capnp::_::StructReader base)
| Reader ()
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const
## Friends
struct | ::capnp::_::PointerHelpers
struct | ::capnp::List
class | ::capnp::MessageBuilder
class | ::capnp::Orphanage
struct | ::capnp::ToDynamic_

## Member Typedef Documentation

typedef PxMeshScale Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Reader::Reads

## Constructor & Destructor Documentation

Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Reader::Reader | ( |  | ) |

Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Reader::Reader | ( | ::capnp::_::StructReader | base | ) | `[inline, explicit]`

## Member Function Documentation

inline ::Nv::Blast::Serialization::PxQuat::Reader Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Reader::getRotation | ( |  | ) | const

inline ::Nv::Blast::Serialization::PxVec3::Reader Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Reader::getScale | ( |  | ) | const

bool Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Reader::hasRotation | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Reader::hasScale | ( |  | ) | const`[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Reader::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::PxMeshScale::PxMeshScale::Reader::totalSize | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend struct ::capnp::_::PointerHelpers`[friend]`

friend struct ::capnp::List`[friend]`

friend class ::capnp::MessageBuilder`[friend]`

friend class ::capnp::Orphanage`[friend]`

friend struct ::capnp::ToDynamic_`[friend]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtPxSerialization.capn.h